(function($){

	'use strict'

	$(document).ready(function(){


		$('.tab li').on('click', function(){

			var $this = $(this),
				tour = $this.data('tour-trigger'),
				video = $this.data('video-trigger')


			$this.closest('.tab').find('li').removeClass('active')
			$this.addClass('active')


			if(tour){
				$('[data-tour]').hide()
				$('[data-tour="' + tour + '"]').show()
			}

			if(video){
				$('[data-video]').hide()
				$('[data-video="' + video + '"]').show()
			}
		})

	$('.grid-item').on('click', function(){

		var index = $(this).index()

		$('.single-gallery-image').fadeIn()
		$('.owl-carousel').trigger("to.owl.carousel", [index, 0])
	})

	$('.close-gallery').on('click', function(){
		$('.single-gallery-image').fadeOut()
	})

	var headerHeight = $('header').outerHeight(),
		footerHeight = $('footer').outerHeight()



	$('.banner-image').css({'height': 'calc(100vh - ' + (headerHeight+footerHeight) + 'px)'})
	// $('.hamburger').on('click', function(){
	// 	$('main').toggleClass('side')
	// 	$('.fade-body').fadeToggle()
	// })

	// $('.menu-close').on('click', function(){
	// 	$('main').toggleClass('side')
	// 	$('.fade-body').fadeToggle()
	// })

	$('.menu-toggle-btn').on('click', function(){
		$('main').toggleClass('side')
	})

	$('.scroll a, a.scroll').on('click', function(e){

		var href = $(this).attr('href'),
			position = $(href).position().top;

		if( $(this).attr('href') == '#section-1' ){
			position = position - $('header').outerHeight()
		}

		$('main').removeClass('side')

		$('body, html').animate( { scrollTop: position }, 500 )
	})

	var speed = 0.05;

	$(window).on('load scroll', function(){

		var standard = $('.grid-item').eq(1) // 1*1 size

		$('.grid-item').each(function(){
			$(this).height( $(this).width() )
		})

		$('.grid-item--up1').css( { 'margin-top': -(standard.outerHeight()) })

		var scrollPosition = $(window).scrollTop(),
			headerTopPosition = 50,
			footerPosition = $('body').outerHeight() - $(window).height() - 150

		if(scrollPosition <= headerTopPosition){
			$('main').addClass('header')
		}else{
			$('main').removeClass('header')
		}

		if(scrollPosition <= headerTopPosition || scrollPosition >= footerPosition){
			$('main').addClass('footer')
		}else{
			$('main').removeClass('footer')
		}

		$('.right-side [href]').closest('li').removeClass('active')

		$('main [id]').each(function(){

			var startPosition = $(this).position().top,
				endPosition = startPosition + $(this).outerHeight() - 10,
				id = $(this).attr('id')

				
			if( scrollPosition + ( $(window).height() / 2 ) >= startPosition && scrollPosition + ( $(window).height() / 2 ) <= endPosition && scrollPosition > 50 ){
				if($('.right-side [href="#' + id + '"]').length){
					$('.right-side [href="#' + id + '"]').closest('li').addClass('active')
				}
			}
		})


		$('[data-box-shadow-parallax]').each(function(){
			var parallaxSpeed = $(this).data('box-shadow-parallax'),
				position = (scrollPosition - $(this).position().top)

			$(this).css('box-shadow', '20px ' + position*speed*parallaxSpeed + 'px 0 0 #444')
		})

		$('[data-translate-parallax]').each(function(){
			var parallaxSpeed = $(this).data('translate-parallax'),
				position = (scrollPosition - $(this).position().top)

			$(this).css('transform', 'translateY(' + (-100 + position*speed*parallaxSpeed) + 'px)')
		})

		$('[data-background-parallax]').each(function(){

			var parallaxSpeed = $(this).data('background-parallax'),
				position = (scrollPosition - $(this).position().top)

			$(this).css('background-position', '0 ' + ( 20 + position*speed*parallaxSpeed ) + '%')
		})


		// if(scrollPosition){
		// 	$('main').addClass('footer')
		// }else{
		// 	$('main').removeClass('footer')
		// }
	})


	})

	$(window).on('load resize', function(){

		if($(window).width() < 768) {
			$('.side-navigation-menu').mCustomScrollbar({
				theme: 'minimal'
			})
		}
	})

	$(window).on('load', function(){

		var audio = document.getElementById("audio")

		audio.pause()

		$('.bars').on('click', function(){
			if( audio.paused ){
				audio.play()
			}else{
				audio.pause()
			}
			$('.music').toggleClass('paused')
			
		})
	})


}(jQuery))